低危 lua_cmsgpack.c中堆的损坏

CVE编号

CVE-2018-11218

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-18
漏洞描述
由于基于堆栈的缓冲区溢出,在Redis的Lua子系统的cmsgpack库中发现了3.2.12之前的内存损坏、4.0.10之前的4.x和5.0Rc2之前的5.x内存损坏。 

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/antirez/redis/issues/5017
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 oracle communications_operations_monitor 3.4 -
运行在以下环境
应用 oracle communications_operations_monitor 4.0 -
运行在以下环境
应用 redhat openstack 10 -
运行在以下环境
应用 redhat openstack 13.0 -
运行在以下环境
应用 redislabs redis * Up to
(excluding)
3.2.12
运行在以下环境
应用 redislabs redis * From
(including)
4.0
Up to
(excluding)
4.0.10
运行在以下环境
应用 redislabs redis 5.0 -
运行在以下环境
系统 alpine_3.5 redis * Up to
(excluding)
3.2.12-r0
运行在以下环境
系统 alpine_3.6 redis * Up to
(excluding)
3.2.12-r0
运行在以下环境
系统 alpine_3.7 redis * Up to
(excluding)
4.0.10-r0
运行在以下环境
系统 debian_10 redis * Up to
(excluding)
5:4.0.10-1
运行在以下环境
系统 debian_11 redis * Up to
(excluding)
5:4.0.10-1
运行在以下环境
系统 debian_12 redis * Up to
(excluding)
5:4.0.10-1
运行在以下环境
系统 debian_sid redis * Up to
(excluding)
5:4.0.10-1
运行在以下环境
系统 fedora_EPEL_6 redis-debuginfo * Up to
(excluding)
3.2.12-1.el6
运行在以下环境
系统 fedora_EPEL_7 redis-trib * Up to
(excluding)
3.2.12-1.el7
运行在以下环境
系统 opensuse_Leap_15.0 redis-debugsource * Up to
(excluding)
4.0.10-lp150.3.3.1
运行在以下环境
系统 opensuse_Leap_42.3 redis-debugsource * Up to
(excluding)
4.0.10-17.1
运行在以下环境
系统 ubuntu_14.04 redis * Up to
(excluding)
2:2.8.4-2ubuntu0.2
运行在以下环境
系统 ubuntu_14.04.6_lts redis * Up to
(excluding)
2:2.8.4-2ubuntu0.2
运行在以下环境
系统 ubuntu_16.04 redis * Up to
(excluding)
2:3.0.6-1ubuntu0.2
运行在以下环境
系统 ubuntu_16.04.7_lts redis * Up to
(excluding)
2:3.0.6-1ubuntu0.2
运行在以下环境
系统 ubuntu_18.04 redis * Up to
(excluding)
5:4.0.9-1ubuntu0.1
运行在以下环境
系统 ubuntu_18.04.5_lts redis * Up to
(excluding)
5:4.0.9-1ubuntu0.1
运行在以下环境
系统 ubuntu_18.10 redis * Up to
(excluding)
5:4.0.11-2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况